<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.4) on Wed Sep 04 00:47:46 EEST 2019 -->
<title>CredentialsManager (wrike_task_handler 4.4.1 API)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-09-04">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="CredentialsManager (wrike_task_handler 4.4.1 API)";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":9,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">host</a></div>
<h2 title="Class CredentialsManager" class="title">Class CredentialsManager</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>host.CredentialsManager</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">CredentialsManager</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static <a href="../utils/Result.html" title="class in utils">Result</a>&lt;<a href="CredentialsManager.html" title="class in host">CredentialsManager</a>&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCredentialsManager(com.intellij.openapi.project.Project)">getCredentialsManager</a></span>&#8203;(com.intellij.openapi.project.Project&nbsp;openedProject)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="Identity.html" title="class in host">Identity</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getIdentity()">getIdentity</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isAuthorized()">isAuthorized</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#loadLastSavedCredentials()">loadLastSavedCredentials</a></span>()</code></th>
<td class="colLast">
<div class="block">Attempts to load the last stored credential values</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#resetToken()">resetToken</a></span>()</code></th>
<td class="colLast">
<div class="block">Deletes the last stored token</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#saveCredentials()">saveCredentials</a></span>()</code></th>
<td class="colLast">
<div class="block">Saves the last set credentials.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setProject(java.lang.String)">setProject</a></span>&#8203;(java.lang.String&nbsp;project)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setToken(java.lang.String)">setToken</a></span>&#8203;(java.lang.String&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setUser(java.lang.String)">setUser</a></span>&#8203;(java.lang.String&nbsp;user)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getCredentialsManager(com.intellij.openapi.project.Project)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCredentialsManager</h4>
<pre class="methodSignature">public static&nbsp;<a href="../utils/Result.html" title="class in utils">Result</a>&lt;<a href="CredentialsManager.html" title="class in host">CredentialsManager</a>&gt;&nbsp;getCredentialsManager&#8203;(com.intellij.openapi.project.Project&nbsp;openedProject)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>openedProject</code> - an instance of the Intellij project currently opened</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a Result object that contains a credentials manager instance in the valid value.</dd>
</dl>
</li>
</ul>
<a id="loadLastSavedCredentials()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>loadLastSavedCredentials</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;loadLastSavedCredentials()</pre>
<div class="block">Attempts to load the last stored credential values</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: Null <br>
 On error: a string describing the error that occurred</dd>
</dl>
</li>
</ul>
<a id="isAuthorized()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isAuthorized</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;isAuthorized()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if a token value is stored <br>
 false if not token value is stored</dd>
</dl>
</li>
</ul>
<a id="setToken(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToken</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;setToken&#8203;(java.lang.String&nbsp;value)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - the token to be saved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: true <br>
 On error: false (example if the input parameter is invalid)</dd>
</dl>
</li>
</ul>
<a id="getIdentity()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIdentity</h4>
<pre class="methodSignature">public&nbsp;<a href="Identity.html" title="class in host">Identity</a>&nbsp;getIdentity()</pre>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the Identity object containing the identification data</dd>
</dl>
</li>
</ul>
<a id="resetToken()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetToken</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;resetToken()</pre>
<div class="block">Deletes the last stored token</div>
</li>
</ul>
<a id="setUser(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUser</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;setUser&#8203;(java.lang.String&nbsp;user)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>user</code> - the ID of the user to be saved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: true <br>
 On error: false (example if the input parameter is invalid)</dd>
</dl>
</li>
</ul>
<a id="setProject(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setProject</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;setProject&#8203;(java.lang.String&nbsp;project)</pre>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>project</code> - the ID of the project to be saved</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: true <br>
 On error: false (example if the input parameter is invalid)</dd>
</dl>
</li>
</ul>
<a id="saveCredentials()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>saveCredentials</h4>
<pre class="methodSignature">public&nbsp;java.lang.String&nbsp;saveCredentials()</pre>
<div class="block">Saves the last set credentials.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>On success: null <br>
 On error: a string describing the error that occurred</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-all.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
